Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Lolu chungechunge lwabekwa kunqolobane. Uyacelwa ubuze umbuzo omusha uma udinga usizo.

I replaced Firefox 3.11.16 with Firefox 4 on my Macbook Pro, only to discover that I can't run it on my operating system (I'm pre Leopard). Is there a way to recover my old version or download it again so I can use the program?

  • 1 baphendule
  • 58 zinale nkinga
  • 53 views
  • Igcine ukuphendulwa ngu cor-el

more options

I downloaded Firefox 4 from the Firefox website, dragging the new version into my applications folder, at which point it replaced my old version (I think it was 3.11.16). Then when I went to open it, it said it can't be run on my OS X 10.4.11 system. Can I get the previous version of Firefox back somehow from my own system? Can I get it back by downloading it from a third party website (through Safari)? Firefox is my favorite browser and I'm not prepared to upgrade to Leopard at this time.

I downloaded Firefox 4 from the Firefox website, dragging the new version into my applications folder, at which point it replaced my old version (I think it was 3.11.16). Then when I went to open it, it said it can't be run on my OS X 10.4.11 system. Can I get the previous version of Firefox back somehow from my own system? Can I get it back by downloading it from a third party website (through Safari)? Firefox is my favorite browser and I'm not prepared to upgrade to Leopard at this time.

Isisombululo esikhethiwe

Firefox 4 requires at least OS X 10.5 and an Intel Mac.

For Mac OS X 10.4.11 or Mac OS X 10.5.8 you can look at:

Firefox 3.6.x can be found here:

Funda le mpendulo ngokuhambisana nalesi sihloko 👍 4

All Replies (1)

more options

Isisombululo Esikhethiwe

Firefox 4 requires at least OS X 10.5 and an Intel Mac.

For Mac OS X 10.4.11 or Mac OS X 10.5.8 you can look at:

Firefox 3.6.x can be found here: